import * as revealer from "./revealer.js"
import {WorldData} from "./world.js"

export function place(x:number, y:number, data:WorldData):WorldData {
  let tile = data[x][y];
  if (tile.mask === true) {
  if (tile.mask && tile.flag === 0) {
    tile.mask = false;
  }

  data[x][y] = tile;
  revealer.reveal(x, y, data)
  }
  return data;
}
